### Class

# Hinoko FwIsoResourceAuto

#### Description [src]

    class Hinoko.FwIsoResourceAuto : GObject.Object
      implements Hinoko.FwIsoResource {
      /* No available fields */
    }

An object to maintain allocated isochronous resource. `HinokoFwIsoResourceAuto`is an object to maintain isochronous resource during the lifetime of the object. The allocated isochronous resource is kept even if the generation of the bus updates. The maintenance of allocated isochronous resource is done by Linux FireWire subsystem.

#### Ancestors

- GObject

#### Implements

- HinokoFwIsoResource

#### Constructors

###### hinoko_fw_iso_resource_auto_new

Allocate and return an instance of `HinokoFwIsoResourceAuto`object.

#### Instance methods

###### hinoko_fw_iso_resource_auto_deallocate

Initiate deallocation of isochronous resource. When the deallocation is done, `HinokoFwIsoResource::deallocated` signal is emit to notify the result, channel, and bandwidth.

since: 1.0

###### hinoko_fw_iso_resource_auto_deallocate_wait

Initiate deallocation of isochronous resource. When the deallocation is done, `HinokoFwIsoResource::deallocated` signal is emit to notify the result, channel, and bandwidth.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from HinokoFwIsoResource (4)

###### hinoko_fw_iso_resource_allocate

Initiate allocation of isochronous resource without any wait. One of the candidates is actually allocated for channel. When the allocation finishes, `HinokoFwIsoResource::allocated` signal is emitted to notify the result, channel, and bandwidth.

since: 1.0

###### hinoko_fw_iso_resource_allocate_wait

Initiate allocation of isochronous resource and wait for `HinokoFwIsoResource::allocated` signal. One of the candidates is actually allocated for channel.

since: 1.0

###### hinoko_fw_iso_resource_create_source

Create `GSource` for `GMainContext` to dispatch events for isochronous resource.

since: 0.7

###### hinoko_fw_iso_resource_open

Open Linux FireWire character device to delegate any request for isochronous resource management to Linux FireWire subsystem.

since: 0.7

#### Properties

###### Hinoko.FwIsoResourceAuto:bandwidth

The allocated amount of bandwidth.

since: 0.7

###### Hinoko.FwIsoResourceAuto:channel

The allocated channel number.

since: 0.7

###### Hinoko.FwIsoResourceAuto:is-allocated

Whether to be allocate isochronous resource or not.

since: 0.7

##### Properties inherited from HinokoFwIsoResource (1)

###### HinokoFwIsoResource:generation

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from HinokoFwIsoResource (2)

###### HinokoFwIsoResource::allocated

Emitted when allocation of isochronous resource finishes.

since: 0.7

###### HinokoFwIsoResource::deallocated

Emitted when deallocation of isochronous resource finishes.

since: 0.7

#### Class structure

    struct HinokoFwIsoResourceAutoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.